Package name.pachler.nio.file.impl

# Class PathWatchKey

java.lang.Object
name.pachler.nio.file.WatchKey
name.pachler.nio.file.impl.PathWatchKey

Direct Known Subclasses:
  `LinuxPathWatchKey`

public class PathWatchKey extends WatchKey

## Method Summary

Modifier and Type
Method
Description
`void`
`cancel()`
This cancels the registration with the WatchService that this WatchKey was registered with.
`protected void`
`finalize()`
`protected int`
`getNumQueuedEvents()`
`final boolean`
`isValid()`
`List<WatchEvent<?>>`
`pollEvents()`
Returns the events that have occurred for this WatchKey.
`boolean`
`reset()`
Resets this `WatchKey` (marks it as non-signalled) so that it's corresponding `WatchService` can report it again via it's `WatchService.poll()` and `WatchService.take()` methods.

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### finalize

protected void finalize()

Overrides:
  `finalize` in class `Object`

### cancel

public void cancel()
Description copied from class: `WatchKey`
This cancels the registration with the WatchService that this WatchKey was registered with. This means that no new events will be delivered to this key any more. Events that are pending can still be retreived with pollEvents(), and if the WatchKey is still marked as signalled a call to WatchService's poll() or take() functions will still return it.

Specified by:
  `cancel` in class `WatchKey`

### isValid

public final boolean isValid()

Specified by:
  `isValid` in class `WatchKey`
Returns:
  if this watch key is valid. A watch key is valid if
  - It has not been canceled
  - The WatchService is not yet closed

### pollEvents

public List<WatchEvent<?>> pollEvents()
Description copied from class: `WatchKey`
Returns the events that have occurred for this WatchKey. Just calling this method will not reset the signalled state of this key; you'll have to call #reset() to indicate to the WatchService that the the client is ready to receive more events and that the key can be re-queued. After the WatchService has determined that events have occurred for a registered Watchable represented by a given WatchKey, it will return that key when the client calls it's WatchService#take() or WatchService#poll() methods.

Specified by:
  `pollEvents` in class `WatchKey`
Returns:
  a list of events that have occurred since the last time that #pollEvents() was called.

### reset

public boolean reset()
Description copied from class: `WatchKey`
Resets this `WatchKey` (marks it as non-signalled) so that it's corresponding `WatchService` can report it again via it's `WatchService.poll()` and `WatchService.take()` methods.

Specified by:
  `reset` in class `WatchKey`
Returns:
  `true` if the key could be reset, `false` otherwise (typically if the corresponding `WatchService` has been closed or if the the key was not signalled).

### getNumQueuedEvents

protected int getNumQueuedEvents()